# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Mantenimiento de empaques

# Programas 
NAME     = empaques.4ge 
OBJFILES = invglo014.4gl invmae014.4gl invqbe014.4gl
FRMFILES = invmae014a.per 
LIBFILES = ../../lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd/prog4js clean 
